### Class

# Ggit RemoteCallbacks

#### Description [src]

    class Ggit.RemoteCallbacks : GObject.Object
    {
      /* No available fields */
    }

Represents a git remote callbacks.

#### Ancestors

- GObject

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

###### Ggit.RemoteCallbacks::completion

No description available.

###### Ggit.RemoteCallbacks::progress

No description available.

###### Ggit.RemoteCallbacks::transfer-progress

No description available.

###### Ggit.RemoteCallbacks::update-tips

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GgitRemoteCallbacksClass {
      GObjectClass parent_class;
      void (* progress) (
        GgitRemoteCallbacks* callbacks,
        const gchar* message
      );
      void (* transfer_progress) (
        GgitRemoteCallbacks* callbacks,
        GgitTransferProgress* stats
      );
      void (* update_tips) (
        GgitRemoteCallbacks* callbacks,
        const gchar* refname,
        const GgitOId* a,
        const GgitOId* b
      );
      void (* completion) (
        GgitRemoteCallbacks* callbacks,
        GgitRemoteCompletionType type
      );
      GgitCred* (* credentials) (
        GgitRemoteCallbacks* callbacks,
        const gchar* url,
        const gchar* username_from_url,
        GgitCredtype allowed_types,
        GError** error
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`progress: void (* progress) ( GgitRemoteCallbacks* callbacks, const gchar* message )`

  No description available.

`transfer_progress: void (* transfer_progress) ( GgitRemoteCallbacks* callbacks, GgitTransferProgress* stats )`

  No description available.

`update_tips: void (* update_tips) ( GgitRemoteCallbacks* callbacks, const gchar* refname, const GgitOId* a, const GgitOId* b )`

  No description available.

`completion: void (* completion) ( GgitRemoteCallbacks* callbacks, GgitRemoteCompletionType type )`

  No description available.

`credentials: GgitCred* (* credentials) ( GgitRemoteCallbacks* callbacks, const gchar* url, const gchar* username_from_url, GgitCredtype allowed_types, GError** error )`

  No description available.

#### Virtual methods

###### Ggit.RemoteCallbacksClass.completion

No description available.

###### Ggit.RemoteCallbacksClass.credentials

No description available.

###### Ggit.RemoteCallbacksClass.progress

No description available.

###### Ggit.RemoteCallbacksClass.transfer_progress

No description available.

###### Ggit.RemoteCallbacksClass.update_tips

No description available.